GNU bug report logs - #36601
Patch series for guile-2.9.2 on mingw-w64

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guile; Reported by: Hannes Müller <h.c.f.mueller@HIDDEN>; dated Thu, 11 Jul 2019 16:33:02 UTC; Maintainer for guile is bug-guile@HIDDEN.

Message received at 36601 <at> debbugs.gnu.org:


Received: (at 36601) by debbugs.gnu.org; 25 Jul 2019 17:38:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 13:38:15 2019
Received: from localhost ([127.0.0.1]:40398 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqhh0-0004Xk-LV
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 13:38:14 -0400
Received: from mail-wm1-f67.google.com ([209.85.128.67]:35881)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dthompson2@HIDDEN>) id 1hqhgy-0004XV-NF
 for 36601 <at> debbugs.gnu.org; Thu, 25 Jul 2019 13:38:13 -0400
Received: by mail-wm1-f67.google.com with SMTP id g67so41364255wme.1
 for <36601 <at> debbugs.gnu.org>; Thu, 25 Jul 2019 10:38:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=worcester-edu.20150623.gappssmtp.com; s=20150623;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=8P6kgu/oUwyVRQkeuMXgNs/ZEijL4k91CpfPzhoNqWA=;
 b=TdOIJnsS6ilfegDtLVuUiMbAnHz5CuemZsTd7Z20DQsAU96aelCKc7E6u/P5DcZDvt
 zEgMfcd/6s1BVXI8Tyb3FZ3KuHNh068BYA7uTRX56YXsyW01qWqdwNfw4HZQQ4pBDkyD
 YxtdPYhT3xIxdwfa2e2aTmKYse9n099pAeP5zNbRBDCv4ih7Lxn256JzYVNw3Lgdr0gE
 8P5ubBpQaRrcaho3K0cTZUkGLp6wztr+UJ/32S1cK+c2JjtrNEE2sMBHZRvWMJJbEShj
 Au28CriDAWvll3zZyiIBwVjruYyCY8nHUISIaQTsQ3csqOmoLsNoWXlaTvotjzR/Md7q
 JnQA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=8P6kgu/oUwyVRQkeuMXgNs/ZEijL4k91CpfPzhoNqWA=;
 b=FukEizGy20xmGp9D/MHR+XA2MYmwdus/LRTEio0KHtHGYtiGPEqQpOuJmFTYkaztaR
 fKCDLFjm6L3CSo8Nq3sDxrAjj8g4BiH1zTIafu+7zzpConxuS4R9uVpxMhFmhP56po4H
 6N0YpL4DY9mZZs8OXeQ5l6Y2J8DPB4yIrljy7WtzD6jGHaRAZgs2BLbQoSmW2e0Zpxr8
 TnTOsNA4cP3G+S9Fl3GtFVqbnT6kIsJKlDwt9+X5sB8OL6Wrg8pSZiQnkvmmb9tI/wdS
 W5cQcsaH0ponBXOuwdYVK15PtwDuKwX35yDBuWudkpiqhTauJFX+avSJH5go1/0R8Co1
 Nn5w==
X-Gm-Message-State: APjAAAWIuV/p+2feAO5LbhoNDjuEYmc+TBRNR6WxsfLqR+Rb+s/1O/Qt
 xwIsw6Gtg2uv+GjoTV2Lw0XL8fhiMeaEvLzuwcpWJw==
X-Google-Smtp-Source: APXvYqx15KgFYTllCFTec6IfyYKM5Uw/9byo2G3SFGYXA1DV8+VI5AmCDiylJ6cpDDjkRB+vJRAaW5BVT/LQ4euVhoc=
X-Received: by 2002:a05:600c:240e:: with SMTP id
 14mr78392487wmp.30.1564076286651; 
 Thu, 25 Jul 2019 10:38:06 -0700 (PDT)
MIME-Version: 1.0
References: <1562862738.1556.3.camel@HIDDEN>
In-Reply-To: <1562862738.1556.3.camel@HIDDEN>
From: "Thompson, David" <dthompson2@HIDDEN>
Date: Thu, 25 Jul 2019 13:37:55 -0400
Message-ID: <CAJ=RwfaE70vfUekqkxsWdyJmKm3K6NRjtXRvTfXnUtU-L4tP3A@HIDDEN>
Subject: Re: bug#36601: Patch series for guile-2.9.2 on mingw-w64
To: =?UTF-8?Q?Hannes_M=C3=BCller?= <h.c.f.mueller@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36601
Cc: 36601 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Hannes,

On Thu, Jul 11, 2019 at 12:33 PM Hannes M=C3=BCller <h.c.f.mueller@HIDDEN> =
wrote:
>
> Hi,
> I propose the following patch series for current guile 3 development.
> With these patches applied, on i686 and x86_64 I got until
>
>   CCLD     guile.exe
>   GEN      guile-procedures.texi
> Backtrace:
>            0 (primitive-load-path "C:/Users/hm/Documents/msys32/=E2=80=A6=
")
>
> ERROR: In procedure primitive-load-path:
> In procedure primitive-load-path: Unable to find file "C:/Users/hm/Docume=
nts/msys32/home/hm/mingw-w64-guile-2.9.2/src/build-i686-w64-mingw32/libguil=
e/C:/Users/hm/Documents/msys32/home/hm/mingw-w64-guile-2.9.2/src/build-i686=
-w64-mingw32/meta/guild" in load path
> make[3]: *** [Makefile:4295: guile-procedures.texi] Error 1
>
> The latest error is related to building absolute path names, which seems =
not new but I do not know how to fix it.
>
> But I was able on i686 and x86_64 to run simple guile commands with relat=
ive path names
> GUILE_AUTO_COMPILE=3D0 ../meta/build-env ./.libs/guile -l ../../../../tes=
t.scm
>
> My configuration was:
> autoreconf -fi
> configure \
>     --prefix=3D${MINGW_PREFIX} \
>     --build=3D${MINGW_CHOST} \
>     --host=3D${MINGW_CHOST} \
>     --enable-shared \
>     --enable-static \
>     --enable-error-on-warning=3Dno \
>     --enable-jit=3Dno
>
> Attached also the used draft PKGBUILD file for mingw-w64.

Thanks for sharing these patches. I tried to write a Guix package
recipe for Guile 2.9.2 that could be built for i686-w64-mingw32 (for
starters), but failed. I used your patches and disabled JIT but got a
failure in numbers.h:

    numbers.h:43:34: error: expression in static assertion is not constant

Also, on the subject of JIT support, it seems that the reason it has
to be disabled is because gnulib does not have sys/mman.h, or maybe
it's because MinGW doesn't support mmap.  This is my first time
building things for windows with mingw so I don't really understand
this stuff.

Does anyone have thoughts on a path forward here?

- Dave




Information forwarded to bug-guile@HIDDEN:
bug#36601; Package guile. Full text available.

Message received at 36601 <at> debbugs.gnu.org:


Received: (at 36601) by debbugs.gnu.org; 15 Jul 2019 15:23:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 15 11:23:20 2019
Received: from localhost ([127.0.0.1]:48784 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hn2oy-0006QN-2e
	for submit <at> debbugs.gnu.org; Mon, 15 Jul 2019 11:23:20 -0400
Received: from mout.gmx.net ([212.227.15.19]:58061)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.c.f.mueller@HIDDEN>) id 1hn2ow-0006Q8-0z
 for 36601 <at> debbugs.gnu.org; Mon, 15 Jul 2019 11:23:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1563204189;
 bh=rti+2enXZIOOwYLxmNKzMwgcA+mkpZlbB9x5IQKujiE=;
 h=X-UI-Sender-Class:Subject:From:To:Date:In-Reply-To;
 b=cXlKdPIkQ7dbzyS4z2bUvTJa+11UTXsn4tibc1WiIsshW6I4TO/b+j85vI0g4olwf
 GMgSljANgkIqGn7cMuuz2OUkfZnbrOSVqgN95id69RkIWO/uMc+8iPbLUz2r2Biyla
 ipTfY0mrUKnGqWMpo/I5c7+kc6L6DTGhtn/Tw1Nk=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from w01.local ([88.70.20.132]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M1poA-1hkptN2Iqu-002KKF for
 <36601 <at> debbugs.gnu.org>; Mon, 15 Jul 2019 17:23:09 +0200
Message-ID: <1563204187.1492.2.camel@HIDDEN>
Subject: bug#36601: Patch series for guile-2.9.2 on mingw-w64
From: Hannes =?ISO-8859-1?Q?M=FCller?= <h.c.f.mueller@HIDDEN>
To: 36601 <at> debbugs.gnu.org
Date: Mon, 15 Jul 2019 17:23:07 +0200
In-Reply-To: 1562862738.1556.3.camel@HIDDEN
Content-Type: multipart/alternative; boundary="=-0J/xtP2BkvklWVtO1D5L"
X-Mailer: Evolution 3.22.6-1+deb9u2 
Mime-Version: 1.0
X-Provags-ID: V03:K1:7nrtTdBlePywAHqTVlyjdqlk45/kc+GiJv0+lvK9SI0N6qPKzsM
 VvqYoY55IiQV3Q7HkgghEHrfoC6TmTe6Upxd6QpMw7g6ZOeUkYF2wADiiVkaHhBT1kmnk57
 aCakdEH0kG6ghYl6Hjel9h6N4fAl+wjjS4/+VPf0WhtKIxoSncpYFyDCuqpgRLlr2oPz7Uq
 f6ry9lO+4bWpGj8BDQ82g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:LOphRLZuICg=:ffhR4EpRzjCpkMxgM8zsvX
 lccHKPLcFN0znmr1QXEYU6pF0Tu/UGku/bkSxeaMUinfnmCVtQJm4CMWzg/ebWzUMrJKsyaJC
 uxFJRfWsHtO2hwNaXqxLMG4cwR2g2WqOtN+MG3L+gID2EvRYVG9F3K/+O9+YBpZtJSrXjHA4B
 L0OtmD+DKtf2p1VDSmwtXWOH4zL/BvJdGb9Y3qemJCLkWYuUgHZApbtbAa6+toQZLg2hPtFpW
 j2slwLIGsUCIBzwUIfaZCbilUhdJ/XnhC6W888cOrHtdVSmaPtrEpvUcLWsRiJ2Z71StJvg4R
 qlVhu2HEGYh2Bf7Y4lN9evr6nhRBKlHxxcIOo86geYK84dxAR4fioHS1D0OLwnsBdePP4f1jU
 FiYd2EuU26zqwug2s492PRZOwyr7Ojda9HY3VHEcI5Tfq2GZXD0bAPHsdXK070DC5Aqshebi5
 tm/DQimuWO3FGWmIkj70ezByMhYre4kEbM41jb0vOBDio5izX74GBe3NkwyXVR9NpZQVoIoKT
 3TV1uKSlvEnJKwtE7vdRSJ8XUeMCmCeaULm8DjsPc+5v8BwTpV/7d6cvDLzSWacSNlshaOQmn
 apbeTAllzWyOtKTAqS03VZstaMkDLbWUOViysb88UO/KxGzzGNjYbBx4u94+jvGzIxHd1aRPK
 OQjs8+1u1pYayK83VGbpfBaZ0IArXQgxf6AV7qiiFHOYbzu3nttuQUrdfnCMpzVmAtQQ/XmKL
 eNu7Qb2CQnQu9XbliXzEzuwEmHYP4x+Ixc0Pm1kSbSMLj8q6ZkS80oyVD8vF/FoIzoiLyueB5
 WZhZYvNZnQ6R1Qsz6u51eL+OsVUVDeJBdV2hUV/DXwoSqPvHwpRqY9LNkFzCr5dbySxSbEbQ3
 nxe7jwM1uI5N6p/oyth43QR9EuTMokvPRE6FC1q9MMpF0O6ruMEPFxtPocsG4smSSDFaRu2dy
 ihtHNSh8hTHGZAFZGITfgaDUDdhr/Vg/FKAUl038AYKKaiQSI6mzkP6J6R0I9VNHeeAxnh+B8
 ZivlZkVXgyjBbaX26XRwdnn5XRHW+yduXxRy3JeQ9a3N5Iu2PLTJkprO6E5zbAklXNbVknagF
 07foT3n+hgCE3icAe2abiL8uxXFb2OwUIUJ
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36601
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-0J/xtP2BkvklWVtO1D5L
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

The error regarding the wrong absolute path names is related to
the=C2=A0prebuilt modulesprebuilt\64-bit-little-endian\ice-9\boot-9
.goprebuilt\32-bit-little-endian\ice-9\boot-9.go
They have been built with=C2=A0system-file-name-convention set to posix. I=
n
fact on mingw-w64 this value is set to windows. I forcedrecompilation
of related modules by touch module\ice-9\boot-9.scm=C2=A0
For i686 the compilation process succeeded, for x86_64 recompilation of
modules depending on boot-9 failed.
I recommend not to compile the posix/windows setting of =C2=A0system-file-
name-convention into the prebuilt modules in boot-9.scm: (compile-time-
case (system-file-name-convention) ...
Instead it could be evaluated during runtime. Otherwise formally
different prebuilts are required, e.g.: =C2=A0prebuilt\64-bit-little-endia=
n-
posixprebuilt\32-bit-little-endian-posixprebuilt\64-bit-little-endian-
windowsprebuilt\32-bit-little-endian-windows


--=-0J/xtP2BkvklWVtO1D5L
Content-Type: text/html; charset="utf-8"
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div>The error regarding the wrong absolute path n=
ames is related to the&nbsp;prebuilt modules</div><div><font face=3D"monosp=
ace" size=3D"3">prebuilt\64-bit-little-endian\ice-9\boot-9.go</font></div><=
div><font face=3D"monospace" size=3D"3">prebuilt\32-bit-little-endian\ice-9=
\boot-9.go</font></div><div><br></div><div>They have been built with&nbsp;<=
font face=3D"monospace" size=3D"3">system-file-name-convention </font>set t=
o<font face=3D"monospace" size=3D"3"> posix. </font>In fact on mingw-w64 th=
is value is set to <font face=3D"monospace" size=3D"3">windows</font>. I fo=
rced</div><div>recompilation of related modules by </div><div><font face=3D=
"monospace" size=3D"3">touch module\ice-9\boot-9.scm </font></div><div><fon=
t face=3D"monospace" size=3D"3"><br></font></div><div></div><div>For i686 t=
he compilation process succeeded, for x86_64 recompilation of modules depen=
ding on boot-9 failed.</div><div><br></div><div>I recommend not to compile =
the posix/windows setting of &nbsp;<span style=3D"font-family: monospace; f=
ont-size: medium;">system-file-name-convention </span>into the prebuilt mod=
ules in boot-9.scm: </div><div><font face=3D"monospace" size=3D"3">(compile=
-time-case (system-file-name-convention) ...</font></div><div><br></div><di=
v>Instead it could be evaluated during runtime. Otherwise formally differen=
t prebuilts are required, e.g.: &nbsp;</div><div><div><font face=3D"monospa=
ce" size=3D"3">prebuilt\64-bit-little-endian-posix</font></div><div><font f=
ace=3D"monospace" size=3D"3">prebuilt\32-bit-little-endian-posix</font></di=
v><div></div></div><div><font face=3D"monospace" size=3D"3">prebuilt\64-bit=
-little-endian-windows</font></div><div><font face=3D"monospace" size=3D"3"=
>prebuilt\32-bit-little-endian-windows</font></div><div><br></div><div><br>=
</div><div><font face=3D"monospace" size=3D"3"><span class=3D"-x-evo-signat=
ure" id=3D"none"></span></font></div></body></html>
--=-0J/xtP2BkvklWVtO1D5L--





Information forwarded to bug-guile@HIDDEN:
bug#36601; Package guile. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Jul 2019 16:32:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 11 12:32:53 2019
Received: from localhost ([127.0.0.1]:38507 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlc02-0003fr-IL
	for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 12:32:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:38655)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.c.f.mueller@HIDDEN>) id 1hlbzk-0003f5-0Q
 for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 12:32:33 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45250)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <h.c.f.mueller@HIDDEN>) id 1hlbzh-0007ro-BB
 for bug-guile@HIDDEN; Thu, 11 Jul 2019 12:32:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE, RCVD_IN_DNSWL_LOW, URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <h.c.f.mueller@HIDDEN>) id 1hlbze-0002vD-MN
 for bug-guile@HIDDEN; Thu, 11 Jul 2019 12:32:29 -0400
Received: from mout.gmx.net ([212.227.17.20]:35715)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <h.c.f.mueller@HIDDEN>)
 id 1hlbzd-0002qH-Ti
 for bug-guile@HIDDEN; Thu, 11 Jul 2019 12:32:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1562862739;
 bh=1QpgfEoySavPxDI35fHBpKCqYuQOWHrMr09n9NHjO/g=;
 h=X-UI-Sender-Class:Subject:From:To:Date;
 b=QLCzlQUeQ7Fsr0AJSsd0If5hSI+xzU1QOUqPgaOF/2lnOGVztr7d46x1ScyCY/ivX
 RQP+LvRH9Op3iJx0CKxksqXLKUdelO/ReozsA/voLEGU/FBv+16rigZl22WTMat20G
 fSiq+RkujWnIkYueIq31oHN94tKiEFXRlaaOUaeI=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from w01.local ([88.70.20.132]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LeRKD-1iHMNi27Vl-00qCl9 for
 <bug-guile@HIDDEN>; Thu, 11 Jul 2019 18:32:19 +0200
Message-ID: <1562862738.1556.3.camel@HIDDEN>
Subject: Patch series for guile-2.9.2 on mingw-w64
From: Hannes =?ISO-8859-1?Q?M=FCller?= <h.c.f.mueller@HIDDEN>
To: bug-guile@HIDDEN
Date: Thu, 11 Jul 2019 18:32:18 +0200
Content-Type: multipart/mixed; boundary="=-D/Vh87WoOoo4M9a55FyV"
X-Mailer: Evolution 3.22.6-1+deb9u2 
Mime-Version: 1.0
X-Provags-ID: V03:K1:TAjsB0JEK/kHYwFs2eQbAXbwc71jhwXzPANzbVsnBfjgeze7Cqo
 5JjiCLGC8IvxijYI+hOfEt6rIjYTrMttobtzhvWk0zK72Bro03vICXROA+khMk0jt/vCG/u
 RhTMnLH2uCTyLy2DvM+Dx0aYaVfJ2cmJ5A+VE1bwmc81PNC6rF5y8NPThz8fK8hYZN02wbj
 rT4oQEqnmYrtiAJJTRjKQ==
X-UI-Out-Filterresults: notjunk:1;V03:K0:NlKElQc4Fj4=:n047lK3fNPsGCoSngIzdWm
 2Yl77/Lk+anVIuQ3dt1tB+Fhh7Xyfh1OhUcmBb2irXjYuXckLBTyQYvrHCXCrwjBQvKeFlfSb
 j5INDdMSsfa5JuGDGirTsA+ARdmST1EG/O3pN3KFl5UjeH7dXGRvdUBe1l5T29ixvSTnVT/x0
 jbZG4b3QHuySKqUP6aNdJZne6MWroFKLEqcBnOaj1Obx6l4OadRxwzW58qgO2woya4+CoDlss
 FhhFB7fVORcICDCCtXHkGvXH+2rhiMhnftPxZoCIROh3tK0wjHptR4kSn7/imWbylKQEGO/Zg
 SpO2BLOdo1tr51VhzC3aVAg+KqmKl0tsUN937R1ceYdGJ0sNhogQ/mDflIYBpjRhuJ1fimu5b
 G8gKDg8myM2eYWKV/LsAr2mj4gamj7eBWpykBNo3CAhu7K8+x68OxIgJ9YF8matBTEzuTHNyI
 ul2oOZpeP46k8YXRZgncvql+HHx1neTn8TrHQseCjnX+ZzO4X9SrDX9MmyYZnclIQCGdJ8JQJ
 1DI0l3HlWecFsaeeoM80swQjF1mxTBsHMxePeZ/9jeo50lW4QOAQc7qzKoiJ5uRz/dnA/lQ27
 POna5IHQiR9Nhawnawu9TVV6fzBzfyZqZae8tV+2IRQRVVwGxAzLELi+ZRl1AF8KHOsfW2mcP
 rA6IpqCOSN2uWpRAvzDPkG9vFNmdFLf4/M4C/PNa01YVfxD28ltGOrZcHrvdWjwV/yiwzgCmq
 uNQiiJU8arrM/+gh+AYDcLDQPwTxDbYP2r0/UxLF7xMhO4I6uC1SzOuFR8PF0068I8hSxPcjM
 yLJ5mkcH0ziFyqdyeoTAjMUhrsFTyFKk8DJ4kUqJvDoHiFLEaU+cSHwhsyowd4rwQaxeGlmzl
 ciaAVU0QYouHjDg2gTRhNFp2WHnUyE/hpZamon16gxsBDHZ7RozpI1D2nhDH2GrMyI41rZAnl
 Wuj3yJclMn+0hB6DopqQwkSzAuo5DRpFFHvN/TpZkd0D7kcDf1LtFBVYbp5ZERrPiErONZCEY
 wiXchk0Rt1unH8R+pV6NZg38k+Xb+GjmLewEW2fuAnvzH9xdinGWh2RiSSzmCJCMcBIUJiJWo
 cuKmUJ59BR4yBc=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 212.227.17.20
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 11 Jul 2019 12:32:49 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


--=-D/Vh87WoOoo4M9a55FyV
Content-Type: multipart/alternative; boundary="=-FTrh/NKSyLrxYVQj0fRk"


--=-FTrh/NKSyLrxYVQj0fRk
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi,=C2=A0
I propose the following patch series for current guile 3 development.
With these patches applied, on i686 and x86_64 I got until

=C2=A0 CCLD=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0guile.exe
=C2=A0 GEN=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0guile-procedures.texi
Backtrace:
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A00 (primi=
tive-load-path "C:/Users/hm/Documents/msys32/=C2=85")

ERROR: In procedure primitive-load-path:
In procedure primitive-load-path: Unable to find file
"C:/Users/hm/Documents/msys32/home/hm/mingw-w64-guile-2.9.2/src/build-
i686-w64-mingw32/libguile/C:/Users/hm/Documents/msys32/home/hm/mingw-
w64-guile-2.9.2/src/build-i686-w64-mingw32/meta/guild" in load path
make[3]: *** [Makefile:4295: guile-procedures.texi] Error 1

The latest error is related to building absolute path names, which
seems not new but I do not know how to fix it.

But I was able on i686 and x86_64 to run simple guile commands with
relative path names=C2=A0
GUILE_AUTO_COMPILE=3D0 ../meta/build-env ./.libs/guile -l
../../../../test.scm

My configuration was:
autoreconf -fi
configure \
=C2=A0=C2=A0=C2=A0=C2=A0--prefix=3D${MINGW_PREFIX} \
=C2=A0=C2=A0=C2=A0=C2=A0--build=3D${MINGW_CHOST} \
=C2=A0=C2=A0=C2=A0=C2=A0--host=3D${MINGW_CHOST} \
=C2=A0=C2=A0=C2=A0=C2=A0--enable-shared \
=C2=A0=C2=A0=C2=A0=C2=A0--enable-static \
=C2=A0=C2=A0=C2=A0=C2=A0--enable-error-on-warning=3Dno \
=C2=A0=C2=A0=C2=A0=C2=A0--enable-jit=3Dno

Attached also the used draft PKGBUILD file for mingw-w64.

Thanks
Hannes

--=-FTrh/NKSyLrxYVQj0fRk
Content-Type: text/html; charset="utf-8"
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div>Hi,&nbsp;</div><div>I propose the following p=
atch series for current guile 3 development.</div><div>With these patches a=
pplied, on i686 and x86_64 I got until</div><div><br></div><div>&nbsp; CCLD=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;guile.exe</div><div>&nbsp; GEN&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;guile-procedures.texi</div><div>Backtrace:</div><div>&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0 (primiti=
ve-load-path "C:/Users/hm/Documents/msys32/=C2=85")</div><div><br></div><di=
v>ERROR: In procedure primitive-load-path:</div><div>In procedure primitive=
-load-path: Unable to find file "C:/Users/hm/Documents/msys32/home/hm/mingw=
-w64-guile-2.9.2/src/build-i686-w64-mingw32/libguile/C:/Users/hm/Documents/=
msys32/home/hm/mingw-w64-guile-2.9.2/src/build-i686-w64-mingw32/meta/guild"=
 in load path</div><div>make[3]: *** [Makefile:4295: guile-procedures.texi]=
 Error 1</div><div><br></div><div>The latest error is related to building a=
bsolute path names, which seems not new but I do not know how to fix it.</d=
iv><div><br></div><div>But I was able on i686 and x86_64 to run simple guil=
e commands with relative path names&nbsp;</div><div>GUILE_AUTO_COMPILE=3D0 =
../meta/build-env ./.libs/guile -l ../../../../test.scm</div><div><br></div=
><div>My configuration was:</div><div>autoreconf -fi</div><div>configure \<=
/div><div>&nbsp;&nbsp;&nbsp;&nbsp;--prefix=3D${MINGW_PREFIX} \</div><div>&n=
bsp;&nbsp;&nbsp;&nbsp;--build=3D${MINGW_CHOST} \</div><div>&nbsp;&nbsp;&nbs=
p;&nbsp;--host=3D${MINGW_CHOST} \</div><div>&nbsp;&nbsp;&nbsp;&nbsp;--enabl=
e-shared \</div><div>&nbsp;&nbsp;&nbsp;&nbsp;--enable-static \</div><div>&n=
bsp;&nbsp;&nbsp;&nbsp;--enable-error-on-warning=3Dno \</div><div>&nbsp;&nbs=
p;&nbsp;&nbsp;--enable-jit=3Dno</div><div><br></div><div>Attached also the =
used draft PKGBUILD file for mingw-w64.</div><div><br></div><div>Thanks</di=
v><div>Hannes</div></body></html>
--=-FTrh/NKSyLrxYVQj0fRk--

--=-D/Vh87WoOoo4M9a55FyV
Content-Disposition: attachment;
	filename*0=0001-Get-latest-poll-module-from-gnulib-to-fix-compilatio.pat;
	filename*1=ch
Content-Type: text/x-patch;
	name="0001-Get-latest-poll-module-from-gnulib-to-fix-compilatio.patch";
	charset="UTF-8"
Content-Transfer-Encoding: base64
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--=-D/Vh87WoOoo4M9a55FyV
Content-Disposition: attachment;
	filename="0002-Fix-error-missing-netinet-tcp_h-on-mingw-w64.patch"
Content-Type: text/x-patch;
	name="0002-Fix-error-missing-netinet-tcp_h-on-mingw-w64.patch";
	charset="UTF-8"
Content-Transfer-Encoding: base64

RnJvbSA4ODcyOWExZDNkMTM2MDEzNDE5YzYwY2IwMjIyNTVhZjYxMTIyMDhhIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiA9P1VURi04P3E/SGFubmVzPTIwTT1DMz1CQ2xsZXI/PSA8aC5j
LmYubXVlbGxlckBnbXguZGU+CkRhdGU6IFdlZCwgMyBKdWwgMjAxOSAxMTozMzoyMSArMDIwMApT
dWJqZWN0OiBbUEFUQ0hdIEZpeCBjb21waWxhdGlvbiBlcnJvciBmb3IgbWlzc2luZyA8bmV0aW5l
dC90Y3AuaD4gb24KIG1pbmd3LXc2NAoKKiBsaWJndWlsZS9zb2NrZXQuYzogZXhjbHVkZSA8bmV0
aW5ldC90Y3AuaD4gb24gbWluZ3ctdzY0Ci0tLQogbGliZ3VpbGUvc29ja2V0LmMgfCA0ICsrKy0K
IDEgZmlsZSBjaGFuZ2VkLCAzIGluc2VydGlvbnMoKyksIDEgZGVsZXRpb24oLSkKCmRpZmYgLS1n
aXQgYS9saWJndWlsZS9zb2NrZXQuYyBiL2xpYmd1aWxlL3NvY2tldC5jCmluZGV4IDY0MzU0ZjFm
MS4uZjA4MGNiOGEwIDEwMDY0NAotLS0gYS9saWJndWlsZS9zb2NrZXQuYworKysgYi9saWJndWls
ZS9zb2NrZXQuYwpAQCAtNDAsNyArNDAsOSBAQAogI2luY2x1ZGUgPHN5cy91bi5oPgogI2VuZGlm
CiAjaW5jbHVkZSA8bmV0aW5ldC9pbi5oPgotI2luY2x1ZGUgPG5ldGluZXQvdGNwLmg+CisjaWZu
ZGVmIF9fTUlOR1czMl9fCisjIGluY2x1ZGUgPG5ldGluZXQvdGNwLmg+CisjZW5kaWYKICNpbmNs
dWRlIDxuZXRkYi5oPgogI2luY2x1ZGUgPGFycGEvaW5ldC5oPgogCi0tIAoyLjIyLjAKCg==


--=-D/Vh87WoOoo4M9a55FyV
Content-Disposition: attachment;
	filename="0003-Fix-compilation-error-libguile-posix-w32_h.patch"
Content-Type: text/x-patch; name="0003-Fix-compilation-error-libguile-posix-w32_h.patch";
	charset="UTF-8"
Content-Transfer-Encoding: base64

RnJvbSBiNDQ4MjRiMWIxYmNlOTU3ZTU2YjBiYmMxMTM1YjYwODM0Y2Q2ODQyIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiA9P1VURi04P3E/SGFubmVzPTIwTT1DMz1CQ2xsZXI/PSA8aC5j
LmYubXVlbGxlckBnbXguZGU+CkRhdGU6IEZyaSwgNSBKdWwgMjAxOSAxMToyMjowMiArMDIwMApT
dWJqZWN0OiBbUEFUQ0hdIEZpeCBjb21waWxhdGlvbiBlcnJvciBsaWJndWlsZS9wb3NpeC13MzIu
aAoKKiBsaWJndWlsZS9wb3NpeC13MzIuaDogYWRkIG1pc3NpbmcgaGVhZGVycywgZm9yIHg4Nl82
NCBhbHNvIHN0YXJ0X2NoaWxkCiAgcmVxdWlyZXMgcmV0dXJuIHR5cGUgcGlkX3QKLS0tCiBsaWJn
dWlsZS9wb3NpeC13MzIuaCB8IDcgKysrKysrLQogMSBmaWxlIGNoYW5nZWQsIDYgaW5zZXJ0aW9u
cygrKSwgMSBkZWxldGlvbigtKQoKZGlmZiAtLWdpdCBhL2xpYmd1aWxlL3Bvc2l4LXczMi5oIGIv
bGliZ3VpbGUvcG9zaXgtdzMyLmgKaW5kZXggOGZlNGYxYzY1Li44Y2YzN2Y1OTMgMTAwNjQ0Ci0t
LSBhL2xpYmd1aWxlL3Bvc2l4LXczMi5oCisrKyBiL2xpYmd1aWxlL3Bvc2l4LXczMi5oCkBAIC0y
MSw2ICsyMSwxMSBAQAogICAgPGh0dHBzOi8vd3d3LmdudS5vcmcvbGljZW5zZXMvPi4gICovCiAK
ICNpbmNsdWRlIDxzdHJpbmcuaD4KKyNpbmNsdWRlIDxCYXNlVHNkLmg+CisjaW5jbHVkZSA8SW50
U2FmZS5oPgorCisjaW5jbHVkZSAic2NtLmgiCisKIAogI2RlZmluZSBfVVRTTkFNRV9MRU5HVEgg
NjUKICNkZWZpbmUgX1VUU05BTUVfTk9ERU5BTUVfTEVOR1RIIF9VVFNOQU1FX0xFTkdUSApAQCAt
NzQsNyArNzksNyBAQCBTQ01fSU5URVJOQUwgaW50IHVuYW1lIChzdHJ1Y3QgdXRzbmFtZSAqIHV0
cyk7CiBTQ01fSU5URVJOQUwgaW50IHdhaXRwaWQgKGludHB0cl90LCBpbnQgKiwgaW50KTsKIFND
TV9JTlRFUk5BTCBpbnQgdzMyX3N0YXR1c190b190ZXJtc2lnIChEV09SRCBzdGF0dXMpOwogCi1T
Q01fSU5URVJOQUwgaW50IHN0YXJ0X2NoaWxkIChjb25zdCBjaGFyICpleGVjX2ZpbGUsIGNoYXIg
Kiphcmd2LAorU0NNX0lOVEVSTkFMIHBpZF90IHN0YXJ0X2NoaWxkIChjb25zdCBjaGFyICpleGVj
X2ZpbGUsIGNoYXIgKiphcmd2LAogICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgaW50IHJl
YWRpbmcsIGludCBjMnBbMl0sIGludCB3cml0aW5nLCBpbnQgcDJjWzJdLAogICAgICAgICAgICAg
ICAgICAgICAgICAgICAgICAgaW50IGluZmQsIGludCBvdXRmZCwgaW50IGVycmZkKTsKIAotLSAK
Mi4yMi4wCgo=


--=-D/Vh87WoOoo4M9a55FyV
Content-Disposition: attachment; filename="0004-Fix-posix.c-for-mingw-w64.patch"
Content-Type: text/x-patch; name="0004-Fix-posix.c-for-mingw-w64.patch"; charset="UTF-8"
Content-Transfer-Encoding: base64

RnJvbSBkMGZhOTJiYzZmNDRjMjdhNDgzNTIxYTlhYTA4ZDcxOTc2M2VmY2M1IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiA9P1VURi04P3E/SGFubmVzPTIwTT1DMz1CQ2xsZXI/PSA8aC5j
LmYubXVlbGxlckBnbXguZGU+CkRhdGU6IFRodSwgMTEgSnVsIDIwMTkgMDk6NDk6MzMgKzAyMDAK
U3ViamVjdDogW1BBVENIXSBGaXggcG9zaXguYyBmb3IgbWluZ3ctdzY0CgpGaXggd2FybmluZyAi
UGxlYXNlIGluY2x1ZGUgd2luc29jazIuaCBiZWZvcmUgd2luZG93cy5oIiBvbiBpNjg2CkZpeCBs
aW5rIGVycm9yIHdpdGggZ2V0aG9zdG5hbWUgb24geDg2XzY0CiogbGliZ3VpbGUvcG9zaXguYzog
Zm9yIG1pbmd3LXc2NCBhZGQgI3VuZGVmIGdldGhvc3RuYW1lCiAgZGlyZWN0bHkgYWZ0ZXIgdW5p
dHN0ZC5oIHdoaWNoIG90aGVyd2lzZSBpcwogIGdldGhvc3RuYW1lX3VzZWRfd2l0aG91dF9yZXF1
ZXN0aW5nX2dudWxpYl9tb2R1bGVfZ2V0aG9zdG5hbWUKICBvbiB4ODZfNjQgYW5kIGNhdXNlcyBh
biBsaW5rIGVycm9yCiAgYWxzbyBhZGQgI2luY2x1ZGUgPHdpbnNvY2syLmg+IHRvIGZpeCB3YXJu
aW5nIG9uIGk2ODYKLS0tCiBsaWJndWlsZS9wb3NpeC5jIHwgNSArKysrKwogMSBmaWxlIGNoYW5n
ZWQsIDUgaW5zZXJ0aW9ucygrKQoKZGlmZiAtLWdpdCBhL2xpYmd1aWxlL3Bvc2l4LmMgYi9saWJn
dWlsZS9wb3NpeC5jCmluZGV4IDcyOGIxOGI2Ny4uYzRlZDRlNmI2IDEwMDY0NAotLS0gYS9saWJn
dWlsZS9wb3NpeC5jCisrKyBiL2xpYmd1aWxlL3Bvc2l4LmMKQEAgLTMzLDYgKzMzLDExIEBACiAj
aW5jbHVkZSA8dW5pY29udi5oPgogI2luY2x1ZGUgPHVuaXN0ZC5oPgogCisjaWZkZWYgX19NSU5H
VzMyX18KKyMgdW5kZWYgZ2V0aG9zdG5hbWUKKyMgaW5jbHVkZSA8d2luc29jazIuaD4KKyNlbmRp
ZgorCiAjaWZkZWYgSEFWRV9TQ0hFRF9ICiAjIGluY2x1ZGUgPHNjaGVkLmg+CiAjZW5kaWYKLS0g
CjIuMjIuMAoK


--=-D/Vh87WoOoo4M9a55FyV
Content-Disposition: attachment; filename="PKGBUILD"
Content-Type: text/plain; name="PKGBUILD"; charset="UTF-8"
Content-Transfer-Encoding: base64
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=


--=-D/Vh87WoOoo4M9a55FyV--





Acknowledgement sent to Hannes Müller <h.c.f.mueller@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guile@HIDDEN. Full text available.
Report forwarded to bug-guile@HIDDEN:
bug#36601; Package guile. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 25 Jul 2019 17:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.